<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!--
IGAC proyecto SNC

@author javier.aponte
@description Pantalla que permite ingresar los datos correspondientes 
             a proyecto bodega para registrar 
             ofertas inmobiliarias de proyectos
             
CU: CU-SA-AC-077 Registrar Ofertas Inmobiliarias de Proyectos

Todos los id's de los componentes terminan en B: Bodega
En el form no se puso prependid para que lo tome por defecto, es decir true,
porque sino falla al integralo en la página general.

@cu @cu CU-AV-O-01 CU-AV-O-02
@version2.0

-->

<h:form id="proyectoBodegaForm" xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <p:messages id="msgsProyectoBodega" showDetail="false"
                globalOnly="false" />

    <ui:include src="proyectoBodegaNuevoUsado.xhtml">
        <ui:param name="proyectoBodegaParam"
                  value="#{registroOfertaInmob.selectedOfertaOferta}" />
        <ui:param name="currentManagedBeanParam"
                  value="#{registroOfertaInmob}" />
    </ui:include>

    <p:spacer height="13" width="0" />
    <h:panelGrid columns="2" cellspacing="7">

        <p:commandButton value="Aceptar" icon="ui-icon-disk"
                         update=":registroOfertaInmobiliariaFormId,
                         proyectoBodegaForm"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide();
                         handleCompleteSIC(xhr, status, args, proyectoBodegaWV, false);document.getElementById('registroOfertaInmobiliariaFormId:datostFocus').focus();"
                         action="#{currentManagedBeanParam.guardarProyectoBodega}" />

        <p:commandButton value="Información Fotográfica"
                         update=":compoFotosONgalleriaForm, 
                         :compoFotosONcargarfotosForm:compoFotosONtipoFoto,
                         :compoFotosONcargarfotosForm:compoFotosONdescripcion"
                         icon="ui-icon-image" onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide();
                         componenteFotosWV.show()"
                         immediate="true"
                         action="#{currentManagedBeanParam.cargarComponenteFotograficoYFotos}">
            <f:setPropertyActionListener
                target="#{currentManagedBeanParam.banderaFotografiaOfertaOferta}"
                value="true" />
        </p:commandButton>
    </h:panelGrid>
</h:form>